Skip to main content
`Ctrl`+`K`

# DMPlexInflateToGeomModel

Wrapper function allowing two methods for inflating refined meshes to the underlying geometric domain.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInflateToGeomModel(DM dm, PetscBool useTUV) PeNS

Collective

## Input Parameters

- dm - The DMPlex object with an attached PetscContainer storing a CAD Geometry object

- useTUV - PetscBool indicating if the user would like to inflate the DMPlex to the underlying geometry using (t) for nodes on EDGEs and (u, v) for nodes on FACEs or using the nodes (x, y, z) coordinates and shortest distance routine. If useTUV = PETSC_TRUE, use the (t) or (u, v) parameters to inflate the DMPlex to the CAD geometry. If useTUV = PETSC_FALSE, use the nodes (x, y, z) coordinates and the shortest disctance routine.

## Notes

DM with nodal coordinates modified so that they lie on the EDGEs and FACEs of the underlying geometry.

(t) and (u, v) parameters for all DMPlex nodes on EDGEs and FACEs are stored in arrays within PetscContainers attached to the DM. The containers have names “Point - Edge t Parameter”, “Point - Face u Parameter”, and “Point - Face v Parameter”. The arrays are organized by Point 0-based ID (i.e. [v-vstart] as defined in the DMPlex.

## See Also

`DMPlexGetGeomModelTUV()`, `DMPlexInflateToGeomModelUseTUV()`, `DMPlexInflateToGeomModelUseXYZ()`

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

## Examples

src/dm/impls/plex/tutorials/ex19.c
src/dm/impls/plex/tutorials/ex18.c
src/dm/impls/plex/tutorials/ex17.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages